summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2018-09-04 14:16:38 -0400
committerLuke Smith <luke@lukesmith.xyz>2018-09-04 14:16:38 -0400
commitd00f6b67bbce71b60f59cb812640fea6e3a43d95 (patch)
treed893daffc67ed00aeb73004d6cf31a1d151e0241
parent7831a1c28e24167c430b8a39ed3681fac6bc96a3 (diff)
downloadeibhear-d00f6b67bbce71b60f59cb812640fea6e3a43d95.tar.gz
eibhear-d00f6b67bbce71b60f59cb812640fea6e3a43d95.tar.zst
eibhear-d00f6b67bbce71b60f59cb812640fea6e3a43d95.zip
weather script cleanup
-rwxr-xr-x.scripts/i3weather12
1 files changed, 6 insertions, 6 deletions
diff --git a/.scripts/i3weather b/.scripts/i3weather
index 4d36ef1..8885fe4 100755
--- a/.scripts/i3weather
+++ b/.scripts/i3weather
@@ -1,15 +1,15 @@
-#!/bin/bash
+#!/bin/sh
### This is only if your location isn't automatically detected, otherwise you can leave it blank.
location=""
-[[ "$location" != "" ]] && location="~${location// /+}"
+[ "$location" != "" ] && location="$location+"
-[[ $BLOCK_BUTTON = "1" ]] && st -e popweather
+[ "$BLOCK_BUTTON" = "1" ] && $TERMINAL -e popweather
curl -s wttr.in/$location > ~/.weatherreport
-ping -q -w 1 -c 1 `ip r | grep default | cut -d ' ' -f 3` >/dev/null || exit
+ping -q -w 1 -c 1 "$(ip r | grep default | cut -d ' ' -f 3)" >/dev/null || exit
-echo -n $(cat ~/.weatherreport | sed '16q;d' | sed -e 's/[^m]*m//g' | grep -o "[0-9]*%" | sort -n | sed -e '$!d' | sed -e "s/^/☔ /g")
+printf "%s" "$(sed '16q;d' ~/.weatherreport | grep -wo "[0-9]*%" | sort -n | sed -e '$!d' | sed -e "s/^/☔ /g" | tr -d '\n')"
-cat ~/.weatherreport | sed '13q;d' | sed -e 's/[^m]*m//g;s/[^0-9]/ /g;s/ /\n/g;/^s*$/d' | grep [0-9] | sort -n | sed -e 1b -e '$!d' | tr '\n' ' ' | awk '{print " ❄️",$1 "°","☀️",$2 "°"}'
+sed '13q;d' ~/.weatherreport | grep -o "m[0-9]\\+" | sort -n | sed -e 1b -e '$!d' | tr '\n|m' ' ' | awk '{print " ❄️",$1 "°","☀️",$2 "°"}'